## VirtualBox-2.2.4-OSE.tar.bz2

=== src/VBox/Additions/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Guest Drivers.
#

#
#
# Copyright (C) 2009 Sun Microsystems, Inc.
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
# Clara, CA 95054 USA or visit http://www.sun.com if you need
# additional information or have any questions.
#

KBUILD_VERBOSE =

all:
	@echo "*** Building 'vboxadd' module ***"
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxadd
	@cp vboxadd/vboxadd.*o .
	@echo
	@if [ -d vboxvfs ]; then \
	    if [ -f vboxadd/Module.symvers ]; then \
	        cp vboxadd/Module.symvers vboxvfs; \
	    fi; \
	    echo "*** Building 'vboxvfs' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs; \
	    cp vboxvfs/vboxvfs.*o .; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxadd install
	@if [ -d vboxvfs ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs install; \
	fi

clean:
	@$(MAKE) -C vboxadd clean
	@if [ -d vboxvfs ]; then \
	    $(MAKE) -C vboxvfs clean; \
	fi
	rm -f vboxadd.ko vboxvfs.ko

load:
	@/sbin/rmmod vboxvfs || true
	@/sbin/rmmod vboxadd || true
	@/sbin/insmod vboxadd.ko
	@if [ -f vboxvfs.ko ]; then /sbin/insmod vboxvfs.ko; fi

=== debian/changelog ===
virtualbox-ose (2.2.4) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 29 May 2009 16:00:00 +0200

virtualbox-ose (2.2.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Mon, 27 Apr 2009 10:00:00 +0200

virtualbox-ose (2.2.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 08 Apr 2009 10:00:00 +0200

virtualbox-ose (2.2.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 08 Apr 2009 10:00:00 +0200

virtualbox-ose (2.2.0~beta-2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 27 Mar 2009 18:00:00 +0200

virtualbox-ose (2.2.0~beta-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 17 Mar 2009 18:00:00 +0200

virtualbox-ose (2.1.3~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 22 Jan 2009 10:00:00 +0200

virtualbox-ose (2.1.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 21 Jan 2009 14:00:00 +0200

virtualbox-ose (2.1.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 17 Dec 2008 14:00:00 +0200

virtualbox-ose (2.1.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 17 Dec 2008 11:00:00 +0200

virtualbox-ose (2.0.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 24 Sep 2008 11:00:00 +0200

virtualbox-ose (2.0.4) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 24 Oct 2008 10:00:00 +0200

virtualbox-ose (2.0.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 12 Sep 2008 10:01:00 +0200

virtualbox-ose (2.0.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 04 Sep 2008 12:01:00 +0200

virtualbox-ose (2.0.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 03 Sep 2008 15:01:00 +0200

virtualbox-ose (1.6.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Sat, 31 May 2008 09:01:00 +0200

virtualbox-ose (1.6.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Sat, 31 May 2008 09:00:00 +0200

virtualbox-ose (1.6.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Mon, 05 May 2008 09:00:00 +0200

virtualbox-ose (1.6.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Mon, 02 May 2008 09:00:00 +0200

virtualbox-ose (1.5.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 23 Oct 2007 21:54:00 +0200

virtualbox-ose (1.5.0+svn+OSE-1) unstable; urgency=low

  * rebuild Debian package

 -- innotek GmbH <info@virtualbox.org>  Thu, 06 Sep 2007 11:51:00 +0200

=== debian/control ===
Source: virtualbox-ose
Section: misc
Priority: optional
Maintainer: Sun Microsystems, Inc. <info@virtualbox.org>
Standards-Version: 3.2.1
Build-Depends: debhelper (>= 5), libz-dev, libssl-dev, libqt4-dev,
  libsdl1.2-dev, uuid-dev, libxcursor-dev, libidl-dev, libpam0g-dev,
  bcc, iasl, xsltproc, linux-headers-generic, wine, java2-runtime,
  lsb-release, g++-multilib [amd64], libc6-dev-i386 [amd64],
  ia32-libs [amd64], libasound-dev, libpulse-dev, libxml2-dev,
  libxslt1-dev, python-dev

Package: virtualbox-ose
Architecture: i386 amd64
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, psmisc, adduser
Recommends: ${alsa}, ${pulse}, ${sdlttf}, ${dkms}, linux-headers, gcc, make, binutils,
  bridge-utils, uml-utilities, libhal1 (>= 0.5)
Description: Sun VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.

Package: virtualbox-ose-dbg
Architecture: i386 amd64
Depends: virtualbox-ose (= ${Source-Version})
Description: Sun VirtualBox debugging symbols
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2006-2008 Sun Microsystems, Inc.
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License as published by the Free Software Foundation,
# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
# distribution. VirtualBox OSE is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY of any kind.
#

#export DH_VERBOSE=1
export DH_COMPAT=4

# possible overrides:
#  OSE=1            force VBOX_OSE
#  NOPARALLEL=1     compile with -j1
#  LINUX=<dir>      compile vboxdrv against Linux found in <dir>
#  VERBOSE=1        verbose build
#  DEBUG=1          debug build
#  NOSUBVER=1       disable generation of the sub-version field (which is
#                   either the subversion rev [if available] or the build date)
#  NODOCS=1         don't build docs, use precompiled UserManual.pdf and
#                   VirtualBox.chm from $HOME
#  NOMODS=1         don't build any module
#  NOQT=1           don't build the Qt GUI
#  HEADLESS=1       build the headless version
#  STAGEDISO=<path> don't build the VBoxAdditions, use the precompiled .iso

package  := virtualbox
verpkg   := virtualbox-ose
current  := $(shell pwd)
vboxroot := $(shell pwd)
builddir := $(current)/debian/builddir
moddir   := $(current)/debian/modules
prefix   := $(current)/debian/$(verpkg)
arch     := $(shell dpkg --print-architecture)
verfile  := $(builddir)/version-generated.mk
ose      := 1
NOMODS   ?= $(ose)
NOQT     ?= $(HEADLESS)

ifneq ($(wildcard $(verfile)),)
include $(verfile)
ver      := $(VBOX_VERSION_STRING)
archdir   := $(prefix)/opt/VirtualBox-$(ver)
endif

ifneq ($(STAGEDISO),)
 ifeq ($(wildcard $(STAGEDISO)/VBoxGuestAdditions.iso),)
  $(error STAGEDISO='$(STAGEDISO)/VBoxGuestAdditions.iso' not found)
 endif
endif

# Hack: Xandros is actually Debian/sarge ... :(
ifneq ($(wildcard /etc/xandros-desktop-version),)
 debrel  := _xandros4.1
else
ifneq ($(wildcard /etc/univention),)
 debrel  := _ucs1.3
else
 debrel  := $(if $(shell which lsb_release),_$(shell lsb_release -si)_$(shell lsb_release -sc),unknown)
endif
endif

debcfgs  := VBOX_PATH_PACKAGE_DOCS="\"/usr/share/doc/$(verpkg)\""

# Ubuntu dapper: gcc-4.0 does not work with recompiler, use gcc-3.4 instead
# Ubuntu gutsy:  gcc-4.1 does not work for the webservices, use gcc-4.2 instead
configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir
	cd $(vboxroot) && ./configure --odir=$(current)/debian $(if \
	    $(NOQT),--disable-qt,) $(if \
	    $(ose),--ose,) $(if $(LINUX),--with-linux=$(LINUX),) $(if \
	    $(filter _Ubuntu_dapper,$(debrel)),--with-gcc=gcc-3.4 --with-g++=g++-3.4,) $(if \
	    $(filter _Ubuntu_gutsy,$(debrel)),--with-gcc=gcc-4.2 --with-g++=g++-4.2,) $(if \
	    $(filter _xandros4.1 _ucs1.3,$(debrel)),--disable-sdl-ttf,) $(if \
	    $(HEADLESS),--build-headless,) $(if $(DEBUG),--build-debug,)
	touch debian/configure-stamp

build: debian/configure-stamp debian/build-stamp
debian/build-stamp $(verfile):
	dh_testdir
	. debian/env.sh && kmk -C $(vboxroot) $(if \
	    $(VERBOSE),--print-directory,--no-print-directory) $(if \
	    $(NOPARALLEL),-j1,) $(if \
	    $(VERBOSE),KBUILD_VERBOSE=2,) $(if \
	    $(NODOCS),VBOX_WITH_DOCS= ,)\
	    $(if $(STAGEDISO),VBOX_WITHOUT_ADDITIONS=1,) \
	    AUTOCFG=$(current)/debian/AutoConfig.kmk \
	    LOCALCFG=$(current)/debian/LocalConfig.kmk \
	    PATH_OUT=$(current)/debian/builddir \
	    VBOX_DO_STRIP= VBOX_DO_STRIP_MODULES= \
	    $(debcfgs) \
	    all
	$(if $(NODOCS),cp $(vboxroot)/prebuild/UserManual.pdf $(builddir)/bin,)
	$(if $(NODOCS),cp $(vboxroot)/prebuild/VirtualBox.chm $(builddir)/bin,)
	mkdir -p $(builddir)/bin/additions
	$(if $(STAGEDISO),cp $(STAGEDISO)/VBoxGuestAdditions.iso $(builddir)/bin/additions,)
	. debian/env.sh && kmk -C $(vboxroot) $(if \
	    $(VERBOSE),--print-directory,--no-print-directory) $(if \
	    $(VERBOSE),KBUILD_VERBOSE=2,) $(if \
	    $(STAGEDISO),VBOX_WITHOUT_ADDITIONS=1,) \
	    AUTOCFG=$(current)/debian/AutoConfig.kmk \
	    LOCALCFG=$(current)/debian/LocalConfig.kmk \
	    PATH_OUT=$(current)/debian/builddir \
	    VBOX_DO_STRIP= VBOX_DO_STRIP_MODULES= \
	    VBOX_NO_LINUX_RUN_INSTALLER=1 \
	    $(debcfgs) \
	    packing
	touch debian/build-stamp

# Build modules for every kernel we find in /lib/modules/*
modules: debian/build-stamp debian/modules-stamp
debian/modules-stamp: debian/build-stamp
	rm -rf $(moddir)
	mkdir $(moddir)
	make -C $(builddir)/bin/src/vboxdrv clean
	for d in $(wildcard /lib/modules/*); do \
	    if [ -L $$d/build ]; then \
	        make -C $(builddir)/bin/src/vboxdrv KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
	        make -C $(builddir)/bin/src/vboxdrv KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all && \
	        install -D -m 0644 -g 0 -o 0 \
	            $(builddir)/bin/src/vboxdrv/vboxdrv.ko $(moddir)/$$(basename $$d)/vboxdrv.ko && \
	        make -C $(builddir)/bin/src/vboxnetflt KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetflt || true) && \
	        make -C $(builddir)/bin/src/vboxnetflt KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all && \
	        install -D -m 0644 -g 0 -o 0 \
	            $(builddir)/bin/src/vboxnetflt/vboxnetflt.ko $(moddir)/$$(basename $$d)/vboxnetflt.ko; \
	    fi; \
	done
	make -C $(builddir)/bin/src/vboxdrv clean
	make -C $(builddir)/bin/src/vboxnetflt clean
	touch debian/modules-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/$(package).init debian/vboxdrv.init
	rm -f debian/AutoConfig.kmk debian/configure.log debian/env.sh debian/preinst
	rm -f debian/modules-stamp debian/build-stamp debian/configure-stamp
	rm -rf $(builddir) $(moddir)
	dh_clean

ifeq ($(VBOX_VERSION_MAJOR),)
binary binary-arch binary-indep: build $(verfile)
	$(MAKE) -f debian/rules binary
else
# Build architecture-dependent files here.
binary binary-arch binary-indep: build $(if $(NOMODS),,modules)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	tar -xjC $(prefix)/opt -f $(builddir)/bin/VirtualBox.tar.bz2
	install -d -g 0 -o 0 $(prefix)/usr/share/applications
	install -d -g 0 -o 0 $(prefix)/usr/lib
	install -d -g 0 -o 0 $(prefix)/usr/bin
	install -d -g 0 -o 0 $(prefix)/usr/lib/$(package)
	install -d -g 0 -o 0 $(prefix)/usr/share/$(package)
	install -d -g 0 -o 0 $(prefix)/usr/share/doc/$(verpkg)
	$(if $(NOQT),,mv $(archdir)/VirtualBox.desktop \
	   $(prefix)/usr/share/applications/VirtualBox.desktop)
	install -d -g 0 -o 0 $(prefix)/usr/share/pixmaps
	install -d -g 0 -o 0 $(prefix)/usr/share/lintian/overrides
	sed \
	    -e 's|%VERPKG%|$(verpkg)|g' \
	    debian/lintian-override.in > \
	   $(prefix)/usr/share/lintian/overrides/$(verpkg)
	mv $(archdir)/VBox.png \
	   $(prefix)/usr/share/pixmaps/VBox.png
	mv $(archdir)/*.gc $(prefix)/usr/lib/$(package)
	mv $(archdir)/*.r0 $(prefix)/usr/lib/$(package)
	mv $(archdir)/*.rel $(prefix)/usr/lib/$(package) || true
	mv $(archdir)/VBoxNetDHCP $(prefix)/usr/lib/$(package)
	mv $(archdir)/VBoxNetAdpCtl $(prefix)/usr/lib/$(package)
	mv $(archdir)/VBoxXPCOMIPCD $(prefix)/usr/lib/$(package)
	mv $(archdir)/components $(prefix)/usr/lib/$(package)/components
	mv $(archdir)/*.so $(prefix)/usr/lib/$(package)
	mv $(archdir)/*.so.4 $(prefix)/usr/lib/$(package) || true
	$(if $(NOQT),,mv $(archdir)/nls $(prefix)/usr/share/$(package))
	mv $(archdir)/src  $(prefix)/usr/share/$(package)
	rm $(archdir)/VBox.sh
	install -D -g 0 -o 0 -m 644 debian/VBox.sh $(prefix)/usr/bin/VBox
	mv $(archdir)/VBoxSysInfo.sh $(prefix)/usr/share/$(package)
	for i in VBoxManage VBoxSVC $(if $(HEADLESS),,VBoxSDL) \
	    $(if $(NOQT),,VirtualBox) VBoxHeadless; do \
	    mv $(archdir)/$$i $(prefix)/usr/lib/$(package); done
	if [ -f $(archdir)/vboxwebsrv ]; then \
	  mv $(archdir)/vboxwebsrv $(prefix)/usr/lib/$(package); \
	fi
	if [ -f $(archdir)/webtest ]; then \
